Get Risk Mitigation Details

List an account's mitigations with their associated risk counts.

This method gives tactics and techniques, count of act, attend, track, and track*, asset names, and affected devices for each mitigation id. Here, in this API, specifying ‘row_limit:0’ will fetch all the entries.

Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.RiskPrioritization.getMitigationDetails(
  organization="Demo Org",
  account_name="Demo Account",
  row_limit=1
)

print(response)
client.close()

Requires Python 3.9 or later.

Body Params
string
required

Name of the organization requesting the mitigation details.

string
required

Name of the account associated with the organization.

integer

Number of records to fetch. Setting row_limit to 0 retrieves all entries.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json